From: Abraham Samuel Adekunle <[email-masked]>
Date: Mon, 2 Feb 2026 09:16:10 +0100

> Thank you greatly for the direction. I did check the microproject
> page, and the first contribution page. I haven't fully gotten all of
> it , but I am making progress.Right now I am trying to understand the
> first git commit's code by following this :
> https://www.freecodecamp.org/news/boost-programming-skills-read-git-code/
> , ie the initial 10 files. And from the microproject ideas of Gsoc
> 2025 :

Hello Soutrik and welcome to the community.

Please try not to top-post and favour interleaved style.
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

While I think the link you stated above is a good resource, I think the
My First Contributions page is a good resource to get started, after which
you can find a microproject to work on, push to the mailing list to understand
how to send patches and the review process.
I can see Deveshi Dwivedi has already suggested this to you.

Thanks
Abraham.